Bug 20745 - RFE: Use actual fileutils instead of special versions in rescue mode
RFE: Use actual fileutils instead of special versions in rescue mode
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-11-13 00:20 EST by Ed McKenzie
Modified: 2007-03-26 23:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-17 15:05:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2000-11-13 00:20:26 EST
The utilities on the rescue CD (mount, fdisk, etc.) are not the standard
GNU tools, and do not behave as expected. In particular, it seems that few
utils work properly until I create /dev nodes by hand (mount claims to do
this automatically, but it doesn't support volume labels, and fdisk is
pretty useless with an empty /dev.) Certainly, anaconda could easily create
the needed block devices using info from /proc/partitions.

I think the intended effect of the faked /dev could be better achieved by a
devfs-enabled kernel for the rescue disk. I don't really see the logic
behind the custom versions of mount, etc., and it seems that those tools
aren't as functional or robust as the regular utilities.

Also, there doesn't appear to be a text editor on the rescue disk. vim or
pico wouldn't take up that much room.
Comment 1 Michael Fulbright 2000-11-13 12:02:54 EST
pico should be available - please check.

We are rethinking the rescue disk, I agree having the real GNU tools would be
much more useful.

Comment 2 Ed McKenzie 2000-11-13 13:08:16 EST
My mistake, pico does appear to be on the rescue disk.

I think the SuSE 6.x rescue disk is something to have a look at to get an idea of what I expect from a rescue system.
Comment 3 Michael Fulbright 2001-07-02 11:10:24 EDT
Brent I have some ideas on this - come check with me as you implement this.

Note You need to log in before you can comment on or make changes to this bug.